"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hintedWalker = exports.CompoundWordsMethod = exports.expandCharacterSet = exports.normalizeWordToLowercase = exports.normalizeWordForCaseInsensitive = exports.normalizeWord = exports.mergeOptionalWithDefaults = exports.mergeDefaults = exports.isDefined = exports.FLAG_WORD = exports.ChildMap = exports.TrieBuilder = exports.buildTrieFast = exports.buildTrie = exports.walk = exports.trieNodeToRoot = exports.orderTrie = exports.iteratorTrieWords = exports.iterateTrie = exports.isWordTerminationNode = exports.isCircular = exports.insert = exports.has = exports.findNode = exports.createTriFromList = exports.createTrieRoot = exports.countWords = exports.countNodes = exports.Trie = exports.OPTIONAL_COMPOUND_FIX = exports.OPTIONAL_COMPOUND = exports.NORMALIZED = exports.FORBID_PREFIX = exports.FORBID = exports.defaultTrieOptions = exports.COMPOUND_FIX = exports.COMPOUND = exports.CASE_INSENSITIVE_PREFIX = exports.suggestionCollector = exports.impersonateCollector = exports.parseDictionaryLines = exports.parseDictionary = exports.createDictionaryLineParser = exports.mapDictionaryInformationToWeightMap = exports.serializeTrie = exports.importTrie = exports.editDistanceWeighted = exports.editDistance = exports.createWeightedMap = exports.consolidate = void 0;
exports.WORD_SEPARATOR = exports.walker = exports.JOIN_SEPARATOR = void 0;
var consolidate_js_1 = require("./consolidate.js");
Object.defineProperty(exports, "consolidate", { enumerable: true, get: function () { return consolidate_js_1.consolidate; } });
var index_js_1 = require("./distance/index.js");
Object.defineProperty(exports, "createWeightedMap", { enumerable: true, get: function () { return index_js_1.createWeightedMap; } });
Object.defineProperty(exports, "editDistance", { enumerable: true, get: function () { return index_js_1.editDistance; } });
Object.defineProperty(exports, "editDistanceWeighted", { enumerable: true, get: function () { return index_js_1.editDistanceWeighted; } });
var importExport_js_1 = require("./io/importExport.js");
Object.defineProperty(exports, "importTrie", { enumerable: true, get: function () { return importExport_js_1.importTrie; } });
Object.defineProperty(exports, "serializeTrie", { enumerable: true, get: function () { return importExport_js_1.serializeTrie; } });
var mapDictionaryInfoToWeightMap_js_1 = require("./mappers/mapDictionaryInfoToWeightMap.js");
Object.defineProperty(exports, "mapDictionaryInformationToWeightMap", { enumerable: true, get: function () { return mapDictionaryInfoToWeightMap_js_1.mapDictionaryInformationToWeightMap; } });
var SimpleDictionaryParser_js_1 = require("./SimpleDictionaryParser.js");
Object.defineProperty(exports, "createDictionaryLineParser", { enumerable: true, get: function () { return SimpleDictionaryParser_js_1.createDictionaryLineParserMapper; } });
Object.defineProperty(exports, "parseDictionary", { enumerable: true, get: function () { return SimpleDictionaryParser_js_1.parseDictionary; } });
Object.defineProperty(exports, "parseDictionaryLines", { enumerable: true, get: function () { return SimpleDictionaryParser_js_1.parseDictionaryLines; } });
var suggestCollector_js_1 = require("./suggestCollector.js");
Object.defineProperty(exports, "impersonateCollector", { enumerable: true, get: function () { return suggestCollector_js_1.impersonateCollector; } });
Object.defineProperty(exports, "suggestionCollector", { enumerable: true, get: function () { return suggestCollector_js_1.suggestionCollector; } });
var trie_js_1 = require("./trie.js");
Object.defineProperty(exports, "CASE_INSENSITIVE_PREFIX", { enumerable: true, get: function () { return trie_js_1.CASE_INSENSITIVE_PREFIX; } });
Object.defineProperty(exports, "COMPOUND", { enumerable: true, get: function () { return trie_js_1.COMPOUND; } });
Object.defineProperty(exports, "COMPOUND_FIX", { enumerable: true, get: function () { return trie_js_1.COMPOUND_FIX; } });
Object.defineProperty(exports, "defaultTrieOptions", { enumerable: true, get: function () { return trie_js_1.defaultTrieOptions; } });
Object.defineProperty(exports, "FORBID", { enumerable: true, get: function () { return trie_js_1.FORBID; } });
Object.defineProperty(exports, "FORBID_PREFIX", { enumerable: true, get: function () { return trie_js_1.FORBID_PREFIX; } });
Object.defineProperty(exports, "NORMALIZED", { enumerable: true, get: function () { return trie_js_1.NORMALIZED; } });
Object.defineProperty(exports, "OPTIONAL_COMPOUND", { enumerable: true, get: function () { return trie_js_1.OPTIONAL_COMPOUND; } });
Object.defineProperty(exports, "OPTIONAL_COMPOUND_FIX", { enumerable: true, get: function () { return trie_js_1.OPTIONAL_COMPOUND_FIX; } });
Object.defineProperty(exports, "Trie", { enumerable: true, get: function () { return trie_js_1.Trie; } });
var trie_util_js_1 = require("./trie-util.js");
Object.defineProperty(exports, "countNodes", { enumerable: true, get: function () { return trie_util_js_1.countNodes; } });
Object.defineProperty(exports, "countWords", { enumerable: true, get: function () { return trie_util_js_1.countWords; } });
Object.defineProperty(exports, "createTrieRoot", { enumerable: true, get: function () { return trie_util_js_1.createTrieRoot; } });
Object.defineProperty(exports, "createTriFromList", { enumerable: true, get: function () { return trie_util_js_1.createTriFromList; } });
Object.defineProperty(exports, "findNode", { enumerable: true, get: function () { return trie_util_js_1.findNode; } });
Object.defineProperty(exports, "has", { enumerable: true, get: function () { return trie_util_js_1.has; } });
Object.defineProperty(exports, "insert", { enumerable: true, get: function () { return trie_util_js_1.insert; } });
Object.defineProperty(exports, "isCircular", { enumerable: true, get: function () { return trie_util_js_1.isCircular; } });
Object.defineProperty(exports, "isWordTerminationNode", { enumerable: true, get: function () { return trie_util_js_1.isWordTerminationNode; } });
Object.defineProperty(exports, "iterateTrie", { enumerable: true, get: function () { return trie_util_js_1.iterateTrie; } });
Object.defineProperty(exports, "iteratorTrieWords", { enumerable: true, get: function () { return trie_util_js_1.iteratorTrieWords; } });
Object.defineProperty(exports, "orderTrie", { enumerable: true, get: function () { return trie_util_js_1.orderTrie; } });
Object.defineProperty(exports, "trieNodeToRoot", { enumerable: true, get: function () { return trie_util_js_1.trieNodeToRoot; } });
Object.defineProperty(exports, "walk", { enumerable: true, get: function () { return trie_util_js_1.walk; } });
var TrieBuilder_js_1 = require("./TrieBuilder.js");
Object.defineProperty(exports, "buildTrie", { enumerable: true, get: function () { return TrieBuilder_js_1.buildTrie; } });
Object.defineProperty(exports, "buildTrieFast", { enumerable: true, get: function () { return TrieBuilder_js_1.buildTrieFast; } });
Object.defineProperty(exports, "TrieBuilder", { enumerable: true, get: function () { return TrieBuilder_js_1.TrieBuilder; } });
var TrieNode_js_1 = require("./TrieNode.js");
Object.defineProperty(exports, "ChildMap", { enumerable: true, get: function () { return TrieNode_js_1.ChildMap; } });
Object.defineProperty(exports, "FLAG_WORD", { enumerable: true, get: function () { return TrieNode_js_1.FLAG_WORD; } });
var isDefined_js_1 = require("./utils/isDefined.js");
Object.defineProperty(exports, "isDefined", { enumerable: true, get: function () { return isDefined_js_1.isDefined; } });
var mergeDefaults_js_1 = require("./utils/mergeDefaults.js");
Object.defineProperty(exports, "mergeDefaults", { enumerable: true, get: function () { return mergeDefaults_js_1.mergeDefaults; } });
var mergeOptionalWithDefaults_js_1 = require("./utils/mergeOptionalWithDefaults.js");
Object.defineProperty(exports, "mergeOptionalWithDefaults", { enumerable: true, get: function () { return mergeOptionalWithDefaults_js_1.mergeOptionalWithDefaults; } });
var normalizeWord_js_1 = require("./utils/normalizeWord.js");
Object.defineProperty(exports, "normalizeWord", { enumerable: true, get: function () { return normalizeWord_js_1.normalizeWord; } });
Object.defineProperty(exports, "normalizeWordForCaseInsensitive", { enumerable: true, get: function () { return normalizeWord_js_1.normalizeWordForCaseInsensitive; } });
Object.defineProperty(exports, "normalizeWordToLowercase", { enumerable: true, get: function () { return normalizeWord_js_1.normalizeWordToLowercase; } });
var text_js_1 = require("./utils/text.js");
Object.defineProperty(exports, "expandCharacterSet", { enumerable: true, get: function () { return text_js_1.expandCharacterSet; } });
var index_js_2 = require("./walker/index.js");
Object.defineProperty(exports, "CompoundWordsMethod", { enumerable: true, get: function () { return index_js_2.CompoundWordsMethod; } });
Object.defineProperty(exports, "hintedWalker", { enumerable: true, get: function () { return index_js_2.hintedWalker; } });
Object.defineProperty(exports, "JOIN_SEPARATOR", { enumerable: true, get: function () { return index_js_2.JOIN_SEPARATOR; } });
Object.defineProperty(exports, "walker", { enumerable: true, get: function () { return index_js_2.walker; } });
Object.defineProperty(exports, "WORD_SEPARATOR", { enumerable: true, get: function () { return index_js_2.WORD_SEPARATOR; } });
//# sourceMappingURL=index.js.map