"use strict";
/**
 * Normalize word unicode.
 * @param text - text to normalize
 * @returns returns a word normalized to `NFC`
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeWordForCaseInsensitive = exports.normalizeWordToLowercase = exports.normalizeWord = void 0;
const normalizeWord = (text) => text.normalize();
exports.normalizeWord = normalizeWord;
/**
 * converts text to lower case and removes any accents.
 * @param text - text to convert
 * @returns lowercase word without accents
 * @deprecated true
 */
const normalizeWordToLowercase = (text) => text.toLowerCase().normalize('NFD').replace(/\p{M}/gu, '');
exports.normalizeWordToLowercase = normalizeWordToLowercase;
/**
 * generate case insensitive forms of a word
 * @param text - text to convert
 * @returns the forms of the word.
 */
const normalizeWordForCaseInsensitive = (text) => {
    const t = text.toLowerCase();
    return [t, t.normalize('NFD').replace(/\p{M}/gu, '')];
};
exports.normalizeWordForCaseInsensitive = normalizeWordForCaseInsensitive;
//# sourceMappingURL=normalizeWord.js.map