export { consolidate } from './consolidate.mjs';
export type { WeightMap } from './distance/index.mjs';
export { createWeightedMap, editDistance, editDistanceWeighted } from './distance/index.mjs';
export type { FindFullResult } from './find.mjs';
export { ExportOptions, importTrie, serializeTrie } from './io/importExport.mjs';
export { mapDictionaryInformationToWeightMap } from './mappers/mapDictionaryInfoToWeightMap.mjs';
export type { SuggestionCostMapDef } from './models/suggestionCostsDef.mjs';
export { createDictionaryLineParserMapper as createDictionaryLineParser, parseDictionary, parseDictionaryLines, } from './SimpleDictionaryParser.mjs';
export type { MaxCost, SuggestionCollector, SuggestionResult } from './suggestCollector.mjs';
export { impersonateCollector, suggestionCollector } from './suggestCollector.mjs';
export type { FindWordOptions, PartialTrieOptions, TrieOptions } from './trie.mjs';
export { CASE_INSENSITIVE_PREFIX, COMPOUND, COMPOUND_FIX, defaultTrieOptions, FORBID, FORBID_PREFIX, NORMALIZED, OPTIONAL_COMPOUND, OPTIONAL_COMPOUND_FIX, Trie, } from './trie.mjs';
export { countNodes, countWords, createTrieRoot, createTriFromList, findNode, has, insert, isCircular, isWordTerminationNode, iterateTrie, iteratorTrieWords, orderTrie, trieNodeToRoot, walk, } from './trie-util.mjs';
export { buildTrie, buildTrieFast, TrieBuilder } from './TrieBuilder.mjs';
export { ChildMap, FLAG_WORD, TrieNode, TrieRoot } from './TrieNode.mjs';
export { isDefined } from './utils/isDefined.mjs';
export { mergeDefaults } from './utils/mergeDefaults.mjs';
export { mergeOptionalWithDefaults } from './utils/mergeOptionalWithDefaults.mjs';
export { normalizeWord, normalizeWordForCaseInsensitive, normalizeWordToLowercase } from './utils/normalizeWord.mjs';
export { expandCharacterSet } from './utils/text.mjs';
export type { HintedWalkerIterator, Hinting, WalkerIterator, YieldResult } from './walker/index.mjs';
export { CompoundWordsMethod, hintedWalker, JOIN_SEPARATOR, walker, WORD_SEPARATOR } from './walker/index.mjs';
//# sourceMappingURL=index.d.mts.map