const _hrTime = process?.hrtime || polyHrTime;
export function createTimer(hrTimeFn = _hrTime) {
    let start = hrTimeFn();
    return {
        start() {
            start = hrTimeFn();
        },
        elapsed() {
            return toMilliseconds(hrTimeFn(start));
        },
    };
}
export function toMilliseconds(t) {
    return (t[0] + t[1] * 1e-9) * 1000;
}
export function polyHrTime(time) {
    const now = Date.now() - (time ? toMilliseconds(time) : 0);
    const inSeconds = now * 1.0e-3;
    const s = Math.floor(inSeconds);
    const n = (inSeconds - s) * 1.0e9;
    return [s, n];
}
